Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSel.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSel.Designer.cs	(revision 334)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSel.Designer.cs	(revision 335)
@@ -45,6 +45,13 @@
             this.btnAllSelect = new System.Windows.Forms.Button();
             this.lbTotalAmount = new System.Windows.Forms.Label();
             this.dgv1 = new System.Windows.Forms.DataGridView();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col1 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.col2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label8 = new System.Windows.Forms.Label();
             this.label7 = new System.Windows.Forms.Label();
             this.lbSelect = new System.Windows.Forms.Label();
@@ -56,13 +63,7 @@
             this.panel2 = new System.Windows.Forms.Panel();
             this.label1 = new System.Windows.Forms.Label();
             this.lblProcessTitil = new System.Windows.Forms.Label();
-            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col1 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
-            this.col2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.btnCancel = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
             this.panel2.SuspendLayout();
@@ -138,7 +139,7 @@
             this.btnGenerate.Name = "btnGenerate";
             this.btnGenerate.Size = new System.Drawing.Size(120, 30);
             this.btnGenerate.TabIndex = 33;
-            this.btnGenerate.Text = "請求書作成";
+            this.btnGenerate.Text = "作成・印刷";
             this.btnGenerate.UseVisualStyleBackColor = false;
             this.btnGenerate.Click += new System.EventHandler(this.btnGenerate_Click);
             // 
@@ -194,7 +195,7 @@
             this.lbTotalAmount.BackColor = System.Drawing.Color.White;
             this.lbTotalAmount.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.lbTotalAmount.ForeColor = System.Drawing.Color.Black;
-            this.lbTotalAmount.Location = new System.Drawing.Point(366, 7);
+            this.lbTotalAmount.Location = new System.Drawing.Point(366, 9);
             this.lbTotalAmount.Name = "lbTotalAmount";
             this.lbTotalAmount.Size = new System.Drawing.Size(185, 24);
             this.lbTotalAmount.TabIndex = 42;
@@ -226,17 +227,95 @@
             this.col5,
             this.col6});
             this.dgv1.EnableHeadersVisualStyles = false;
-            this.dgv1.Location = new System.Drawing.Point(8, 36);
+            this.dgv1.Location = new System.Drawing.Point(8, 50);
             this.dgv1.Name = "dgv1";
             this.dgv1.RowHeadersVisible = false;
             this.dgv1.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
             this.dgv1.RowTemplate.Height = 20;
             this.dgv1.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
-            this.dgv1.Size = new System.Drawing.Size(1240, 414);
+            this.dgv1.Size = new System.Drawing.Size(1240, 392);
             this.dgv1.TabIndex = 43;
             this.dgv1.CellContentClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellContentClick);
             this.dgv1.CellContentDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellContentDoubleClick);
             // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 60;
+            // 
+            // col1
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            dataGridViewCellStyle3.NullValue = false;
+            this.col1.DefaultCellStyle = dataGridViewCellStyle3;
+            this.col1.Frozen = true;
+            this.col1.HeaderText = "";
+            this.col1.Name = "col1";
+            this.col1.ReadOnly = true;
+            this.col1.Width = 30;
+            // 
+            // col2
+            // 
+            this.col2.Frozen = true;
+            this.col2.HeaderText = "請　求　案　件";
+            this.col2.Name = "col2";
+            this.col2.ReadOnly = true;
+            this.col2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col2.Width = 830;
+            // 
+            // col3
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
+            this.col3.DefaultCellStyle = dataGridViewCellStyle4;
+            this.col3.Frozen = true;
+            this.col3.HeaderText = "請　求　金　額";
+            this.col3.Name = "col3";
+            this.col3.ReadOnly = true;
+            this.col3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col3.Width = 160;
+            // 
+            // col4
+            // 
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
+            this.col4.DefaultCellStyle = dataGridViewCellStyle5;
+            this.col4.Frozen = true;
+            this.col4.HeaderText = "請求書作成日";
+            this.col4.Name = "col4";
+            this.col4.ReadOnly = true;
+            this.col4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col4.Width = 140;
+            // 
+            // col5
+            // 
+            this.col5.HeaderText = "RequestNo";
+            this.col5.Name = "col5";
+            this.col5.ReadOnly = true;
+            this.col5.Visible = false;
+            // 
+            // col6
+            // 
+            this.col6.HeaderText = "InvoiceNo";
+            this.col6.Name = "col6";
+            this.col6.ReadOnly = true;
+            this.col6.Visible = false;
+            // 
             // label8
             // 
             this.label8.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
@@ -244,7 +323,7 @@
             this.label8.CausesValidation = false;
             this.label8.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.label8.ForeColor = System.Drawing.Color.Black;
-            this.label8.Location = new System.Drawing.Point(252, 6);
+            this.label8.Location = new System.Drawing.Point(252, 9);
             this.label8.Name = "label8";
             this.label8.Size = new System.Drawing.Size(114, 25);
             this.label8.TabIndex = 41;
@@ -258,7 +337,7 @@
             this.label7.CausesValidation = false;
             this.label7.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.label7.ForeColor = System.Drawing.Color.Black;
-            this.label7.Location = new System.Drawing.Point(178, 7);
+            this.label7.Location = new System.Drawing.Point(178, 9);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(42, 24);
             this.label7.TabIndex = 40;
@@ -270,7 +349,7 @@
             this.lbSelect.BackColor = System.Drawing.Color.White;
             this.lbSelect.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.lbSelect.ForeColor = System.Drawing.SystemColors.ControlText;
-            this.lbSelect.Location = new System.Drawing.Point(123, 7);
+            this.lbSelect.Location = new System.Drawing.Point(123, 9);
             this.lbSelect.Name = "lbSelect";
             this.lbSelect.Size = new System.Drawing.Size(55, 24);
             this.lbSelect.TabIndex = 39;
@@ -283,7 +362,7 @@
             this.label5.CausesValidation = false;
             this.label5.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.label5.ForeColor = System.Drawing.Color.Black;
-            this.label5.Location = new System.Drawing.Point(9, 6);
+            this.label5.Location = new System.Drawing.Point(9, 9);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(114, 25);
             this.label5.TabIndex = 38;
@@ -330,12 +409,12 @@
             this.btnDel.Cursor = System.Windows.Forms.Cursors.Default;
             this.btnDel.Enabled = false;
             this.btnDel.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDel.ForeColor = System.Drawing.Color.Black;
+            this.btnDel.ForeColor = System.Drawing.Color.White;
             this.btnDel.Location = new System.Drawing.Point(1024, 620);
             this.btnDel.Name = "btnDel";
             this.btnDel.Size = new System.Drawing.Size(120, 30);
             this.btnDel.TabIndex = 40;
-            this.btnDel.Text = "請求書削除";
+            this.btnDel.Text = "削　除";
             this.btnDel.UseVisualStyleBackColor = false;
             this.btnDel.Click += new System.EventHandler(this.btnDel_Click);
             // 
@@ -378,84 +457,21 @@
             this.lblProcessTitil.TabIndex = 43;
             this.lblProcessTitil.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // Column1
+            // btnCancel
             // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle2.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
-            this.Column1.Frozen = true;
-            this.Column1.HeaderText = "№";
-            this.Column1.Name = "Column1";
-            this.Column1.ReadOnly = true;
-            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column1.Width = 60;
+            this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(1024, 620);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(120, 30);
+            this.btnCancel.TabIndex = 44;
+            this.btnCancel.Text = "印刷中止";
+            this.btnCancel.UseVisualStyleBackColor = false;
+            this.btnCancel.Visible = false;
+            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
             // 
-            // col1
-            // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle3.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
-            dataGridViewCellStyle3.NullValue = false;
-            this.col1.DefaultCellStyle = dataGridViewCellStyle3;
-            this.col1.Frozen = true;
-            this.col1.HeaderText = "";
-            this.col1.Name = "col1";
-            this.col1.ReadOnly = true;
-            this.col1.Width = 30;
-            // 
-            // col2
-            // 
-            this.col2.Frozen = true;
-            this.col2.HeaderText = "請　求　案　件";
-            this.col2.Name = "col2";
-            this.col2.ReadOnly = true;
-            this.col2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.col2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col2.Width = 830;
-            // 
-            // col3
-            // 
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle4.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
-            this.col3.DefaultCellStyle = dataGridViewCellStyle4;
-            this.col3.Frozen = true;
-            this.col3.HeaderText = "請　求　金　額";
-            this.col3.Name = "col3";
-            this.col3.ReadOnly = true;
-            this.col3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col3.Width = 160;
-            // 
-            // col4
-            // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
-            this.col4.DefaultCellStyle = dataGridViewCellStyle5;
-            this.col4.Frozen = true;
-            this.col4.HeaderText = "請求書作成日";
-            this.col4.Name = "col4";
-            this.col4.ReadOnly = true;
-            this.col4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.col4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col4.Width = 140;
-            // 
-            // col5
-            // 
-            this.col5.HeaderText = "RequestNo";
-            this.col5.Name = "col5";
-            this.col5.ReadOnly = true;
-            this.col5.Visible = false;
-            // 
-            // col6
-            // 
-            this.col6.HeaderText = "InvoiceNo";
-            this.col6.Name = "col6";
-            this.col6.ReadOnly = true;
-            this.col6.Visible = false;
-            // 
             // FrmRequestPrintSel
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);
@@ -469,6 +485,7 @@
             this.Controls.Add(this.btnEnd);
             this.Controls.Add(this.btnGenerate);
             this.Controls.Add(this.panel1);
+            this.Controls.Add(this.btnCancel);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.ForeColor = System.Drawing.SystemColors.ControlText;
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
@@ -516,5 +533,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn col4;
         private System.Windows.Forms.DataGridViewTextBoxColumn col5;
         private System.Windows.Forms.DataGridViewTextBoxColumn col6;
+        private System.Windows.Forms.Button btnCancel;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSel.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSel.cs	(revision 334)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSel.cs	(revision 335)
@@ -335,7 +335,7 @@
                 int nInvoiceNo = CommonMotions.cnvInt(cbCreateDate.SelectedValue);
 
                 // 請求書データの削除
-                if (DeleteInvoiceData(nInvoiceNo) == false)
+                if (!DeleteInvoiceData(nInvoiceNo))
                 {
                     return;
                 }
@@ -399,32 +399,57 @@
         /// <param name="e"></param>
         private void btnGenerate_Click(object sender, EventArgs e)
         {
-            FrmRequestPrint frmPrint = new FrmRequestPrint();
             try
             {
                 // 請求書作成処理
                 if (!GenerateProc()) return;
 
-                frmPrint.InvoiceNo = m_nInvoiceNo;
+                // 印刷実行
+                EntryPrintProc();
 
-                DialogResult drRet = frmPrint.ShowDialog(this);
-                if (drRet != DialogResult.Yes) return;
-
-                DialogResult = DialogResult.OK;
-                // 画面クローズ
-                this.Close();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
+        }
+        #endregion
+
+        #region セル内容のWクリック
+        /// <summary>
+        /// セル内容のWクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellContentDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            DataGridViewRow CurRow = dgv1.CurrentRow;
+            if (CurRow.Cells[(int)DispColumn.CheckFlg].EditedFormattedValue.Equals(true) == true)
             {
-                frmPrint.Dispose(); frmPrint = null;
+                CurRow.Cells[(int)DispColumn.CheckFlg].Value = false;
             }
+            else
+            {
+                CurRow.Cells[(int)DispColumn.CheckFlg].Value = true;
+            }
+
+            UpdateCheckValue();
         }
         #endregion
 
+        #region 印刷中断
+        /// <summary>
+        /// 印刷中断
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            //キャンセルのフラッグを立てる
+            m_Canceled = true;
+        }
+        #endregion
+
         #region ×ボタン
         /// <summary>
         /// ×ボタン押下処理
@@ -487,27 +512,5 @@
             dgv1_CellContentDoubleClick(sender, e);
         }
         #endregion
-
-        #region セル内容のWクリック
-        /// <summary>
-        /// セル内容のWクリック
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void dgv1_CellContentDoubleClick(object sender, DataGridViewCellEventArgs e)
-        {
-            DataGridViewRow CurRow = dgv1.CurrentRow;
-            if (CurRow.Cells[(int)DispColumn.CheckFlg].EditedFormattedValue.Equals(true) == true)
-            {
-                CurRow.Cells[(int)DispColumn.CheckFlg].Value = false;
-            }
-            else
-            {
-                CurRow.Cells[(int)DispColumn.CheckFlg].Value = true;
-            }
-
-            UpdateCheckValue();
-        }
-        #endregion
     }
 }
